#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libwebp-tools preinstallation
#
# Creation   :  2018-01-21 holbru
# Last update:  $Id: preinstall.sh 81291 2020-11-27 20:50:20Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libwebp-tools

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check libwebp 2.6.1)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/libwebp-files.txt ]
    then
        sed -i '/cwebp/d' /etc/filelist.d/libwebp-files.txt
        sed -i '/dwebp/d' /etc/filelist.d/libwebp-files.txt
        sed -i '/gif2webp/d' /etc/filelist.d/libwebp-files.txt
        sed -i '/webpmux/d' /etc/filelist.d/libwebp-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
